import DatePicker from '..';
import React from 'react';
import ReactDOM from 'react-dom';
import moment from 'moment';
const { RangePicker, MonthPicker, YearPicker } = DatePicker;
const startValue = moment('2017-11-20', 'YYYY-MM-DD', true);
const endValue = moment('2017-12-15', 'YYYY-MM-DD', true);
const timeStamp = moment(1581938105000);
const onChange = val => console.log(val);
ReactDOM.render(React.createElement("div", null,
    React.createElement(DatePicker, { defaultValue: startValue, onChange: onChange }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(DatePicker, { defaultValue: timeStamp, onChange: onChange }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(MonthPicker, { defaultValue: startValue, onChange: onChange }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(YearPicker, { defaultValue: startValue, onChange: onChange }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(RangePicker, { type: "year", defaultValue: [startValue, endValue], onChange: onChange }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(RangePicker, { type: "month", defaultValue: [startValue, endValue], onChange: onChange }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(RangePicker, { defaultValue: [startValue, endValue], onChange: onChange }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement("div", { style: { background: '#f3f3f3', padding: '10px' } },
        React.createElement(DatePicker, { defaultValue: startValue, onChange: onChange, theme: 'grey' }),
        React.createElement("br", null),
        React.createElement("br", null),
        React.createElement(DatePicker, { defaultValue: timeStamp, onChange: onChange, theme: 'grey' }),
        React.createElement("br", null),
        React.createElement("br", null),
        React.createElement(MonthPicker, { defaultValue: startValue, onChange: onChange, theme: 'grey' }),
        React.createElement("br", null),
        React.createElement("br", null),
        React.createElement(YearPicker, { defaultValue: startValue, onChange: onChange, theme: 'grey' }),
        React.createElement("br", null),
        React.createElement("br", null),
        React.createElement(RangePicker, { type: "year", theme: 'grey', defaultValue: [startValue, endValue], onChange: onChange }),
        React.createElement("br", null),
        React.createElement("br", null),
        React.createElement(RangePicker, { type: "month", theme: 'grey', defaultValue: [startValue, endValue], onChange: onChange }),
        React.createElement("br", null),
        React.createElement("br", null),
        React.createElement(RangePicker, { defaultValue: [startValue, endValue], theme: 'grey', onChange: onChange }),
        React.createElement("br", null),
        React.createElement("br", null))), document.getElementById('date-picker-demo-2'));
